clip {graphics} | R Documentation

## Set Clipping Region

### Description

Set clipping region in user coordinates

### Usage

    clip(x1, x2, y1, y2)

### Arguments

`x1, x2, y1, y2` | user coordinates of clipping rectangle

### Details

How the clipping rectangle is set depends on the setting of `par("xpd")`: this function changes the current setting until the next high-level plotting command resets it.

Clipping of lines, rectangles and polygons is done in the graphics engine, but clipping of text is if possible done in the device, so the effect of clipping text is device-dependent (and may result in text not wholly within the clipping region being omitted entirely).

Exactly when the clipping region will be reset can be hard to predict. `plot.new` always resets it. Functions such as `lines` and `text` only reset it if `par("xpd")` has been changed. However, functions such as `box`, `mtext`, `title` and `plot.dendrogram` can manipulate the `xpd` setting.

### See Also

`par`

### Examples

    x <- rnorm(1000)
    hist(x, xlim=c(-4,4))
    usr <- par("usr")
    clip(usr[1], -2, usr[3], usr[4])
    hist(x, col = 'red', add = TRUE)
    clip(2, usr[2], usr[3], usr[4])
    hist(x, col = 'blue', add = TRUE)
    do.call("clip", as.list(usr))  # reset to plot region

[Package graphics version 2.15.1 Index]